%define major 16
%define majorqt 2
%define libname %mklibname %name-glib %major
%define girmajor 1.0
%define girname_glib %mklibname %{name}glib-gir %{girmajor}
%define girname_plugin %mklibname %{name}plugin-gir %{girmajor}

%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.8.6
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.xz
Patch1:		packagekit-0.6.13-use-mageia-as-vendor.patch
Patch3:		PackageKit-0.6.16-Mageia-turn-off-time.conf.patch
Patch4:		git-fixes.diff
Patch5:		enable.diff
Patch6:		PackageKit-0.8.6-gstreamer-prefix.patch
URL:		http://www.packagekit.org
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gio-2.0) >= 2.16.1
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16.1
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(libsystemd-login)
BuildRequires: pkgconfig(mozilla-plugin) >= 8.0
BuildRequires: pkgconfig(NetworkManager) >= 0.6.4
BuildRequires: pkgconfig(nspr) >= 4.8
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangoft2)
BuildRequires: pkgconfig(pm-utils)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.98
BuildRequires: pkgconfig(sqlite3)
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection
BuildRequires:	gobject-introspection-devel
Suggests:       %{name}-gtk-module = %{version}
Suggests:	packagekit-gui

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit
Group: System/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{girname_glib}
Summary: GObject Introspection interface description for PackageKit
Group: System/Packaging
Requires: %{libname} = %{version}-%{release}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{girname_glib}
GObject Introspection interface description for PackageKit.

%package -n %{girname_plugin}
Summary: GObject Introspection interface description for PackageKit
Group: System/Packaging
Requires: %{libname} = %{version}-%{release}

%description -n %{girname_plugin}
GObject Introspection interface description for PackageKit.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{girname_glib} = %{version}-%{release}
Requires: %{girname_plugin} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: packagekit-qt-devel < %{version}
Conflicts: %{_lib}packagekit-glib14 < 0.6.17-2

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System/Packaging
Requires: crontabs
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: System/Packaging
Requires: gstreamer0.10-tools
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides: gst-install-plugins-helper
Requires: %{name} = %{version}-%{release}

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: System/Packaging
Requires: %{name} = %{version}-%{release}

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: System/Packaging
Requires: %{name} = %{version}-%{release}

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk-module
Summary: Install fonts automatically using PackageKit
Group: System/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk-module
The PackageKit GTK+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package gtk3-module
Summary: Install fonts automatically using PackageKit
Group: System/Packaging
Requires: pango
Requires: %{name} = %{version}-%{release}

%description gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package smart
Summary: PackageKit SMART backend
Group: System/Libraries
Requires: smart
Requires: %{name} = %{version}-%{release}

%description smart
A backend for PackageKit to enable SMART functionality.

%prep
%setup -q -n PackageKit-%version
%apply_patches

%build

# We do not install in /usr/libexec
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh.in
sed -e 's,/usr/libexec,%{_libexecdir},g' -i contrib/command-not-found/PackageKit.sh

%configure2_5x --disable-static \
	--enable-gstreamer-plugin \
	--disable-alpm \
	--disable-apt \
	--disable-box \
	--disable-conary \
	--enable-dummy \
	--disable-opkg \
	--disable-pisi \
	--disable-poldek \
	--enable-smart \
	--enable-urpmi \
	--enable-introspection \
	--disable-yum \
	--disable-zypp \
	--with-default-backend=urpmi
find -name '*.moc' -exec rm -f {} \;
%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%{find_lang} PackageKit

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%files -f PackageKit.lang
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/PackageKit/events/post-transaction.d/README
%{_sysconfdir}/PackageKit/events/pre-transaction.d/README
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_unitdir}/packagekit-offline-update.service
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{python_sitelib}/packagekit
%{_libexecdir}/packagekitd
%{_libexecdir}/pk-clear-offline-update
%{_libexecdir}/pk-offline-update
%{_libexecdir}/pk-trigger-offline-update
%{_sbindir}/pk-device-rebind
%dir %{_libdir}/packagekit-plugins
%{_libdir}/packagekit-plugins/libpk_plugin-check-shared-libraries-in-use.so
%{_libdir}/packagekit-plugins/libpk_plugin-no-update-process.so
%{_libdir}/packagekit-plugins/libpk_plugin-scan-desktop-files.so
%{_libdir}/packagekit-plugins/libpk_plugin-update-check-processes.so
%{_libdir}/packagekit-plugins/libpk_plugin_scripts.so
%{_libdir}/packagekit-plugins/libpk_plugin-clear-firmware-requests.so
%{_libdir}/packagekit-plugins/libpk_plugin-clear-system-update.so
%{_libdir}/packagekit-plugins/libpk_plugin-require-restart.so
%{_libdir}/packagekit-plugins/libpk_plugin-systemd-updates.so
%{_libdir}/packagekit-plugins/libpk_plugin-update-package-cache.so
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_mandir}/man1/*
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db

%files -n %{libname}
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/PackageKitGlib-%{girmajor}.typelib

%files -n %{girname_plugin}
%{_libdir}/girepository-1.0/PackageKitPlugin-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/PackageKitGlib-%{girmajor}.gir
%{_datadir}/gir-1.0/PackageKitPlugin-%{girmajor}.gir

%files cron
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%{_libexecdir}/pk-gstreamer-install

%post gstreamer-plugin
update-alternatives --install %{_libexecdir}/gst-install-plugins-helper gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install 10

%postun gstreamer-plugin
if [ "$1" = "0" ]; then
    if ! [ -e %{_libexecdir}/pk-gstreamer-install ]; then
        update-alternatives --remove gst-install-plugins-helper %{_libexecdir}/pk-gstreamer-install
    fi
fi

%files browser-plugin
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk-module
%{_libdir}/gtk-2.0/modules/*.so

%files gtk3-module
%{_libdir}/gtk-3.0/modules/*.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop

%files smart
%{_libdir}/packagekit-backend/libpk_backend_smart.so
%dir %{_datadir}/PackageKit/helpers/smart
%{_datadir}/PackageKit/helpers/smart/*



%changelog

* Thu Feb 14 2013 fwang <fwang> 0.8.6-7.mga3
+ Revision: 398367
- recognize gstreamer1

* Tue Jan 22 2013 fwang <fwang> 0.8.6-6.mga3
+ Revision: 390697
- update rpm group
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.8.6-5.mga3
+ Revision: 362339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 fwang <fwang> 0.8.6-4.mga3
+ Revision: 327147
- update rpm group

  + tv <tv>
    - enable smart backend (mga#7109)

* Mon Dec 03 2012 tv <tv> 0.8.6-3.mga3
+ Revision: 325721
- patch 5: actually enable backend

* Sat Dec 01 2012 tv <tv> 0.8.6-2.mga3
+ Revision: 323915
- patch 4: important urpmi fixes from git

* Sat Dec 01 2012 fwang <fwang> 0.8.6-1.mga3
+ Revision: 323683
- update file list
- update file list
- update file list
- update file list
- update brs
- new version 0.8.6 for better support on urpmi

* Thu Jul 19 2012 ovitters <ovitters> 0.7.5-1.mga3
+ Revision: 272636
- add subpackage for packagekitplugin gir
- update file list even more
- update file list
- update file list
- qtlib subpackage has been removed upstream (qtlib2 exists)
- explicitly enable qt plugin
- add upstream patch to fix build
- new version 0.7.5 (less api breaks)
- new version 0.8.1
- verbose build
- clean spec
- drop upstreamed patch 5
- rediff patches
- new version 0.7.4

* Sun Mar 11 2012 fwang <fwang> 0.6.21-3.mga2
+ Revision: 222573
- br xt
- add mandriva patch on providing what-provides feature

* Wed Jan 04 2012 fwang <fwang> 0.6.21-2.mga2
+ Revision: 190642
- rebuild for new libarchive

* Mon Dec 26 2011 fwang <fwang> 0.6.21-1.mga2
+ Revision: 187745
- new version 0.6.21
- new version 0.6.20

* Sun Nov 06 2011 fwang <fwang> 0.6.19-1.mga2
+ Revision: 164386
- new version 0.6.19

* Mon Sep 26 2011 fwang <fwang> 0.6.18-2.mga2
+ Revision: 148781
- update file list
- revert to 0.6.18, urpmi backend is not maintained now
- new version 0.7.0
  only build urpmi backend, as we dont have smrt now

* Fri Sep 16 2011 ovitters <ovitters> 0.6.18-1.mga2
+ Revision: 144334
- add patch
- make it build with qt 4.7 and newest glib
- new version 0.6.18 (doesn't build yet, dmorgan would help fix it)

  + fwang <fwang>
    - gir should require libs
    - split gir files
    - new verrsion 0.6.17
    - update qtlib2 package name

  + stormi <stormi>
    - increase default max search time for packagekit-command-not-found (fixes mga bug #2183)

* Mon Jul 18 2011 dmorgan <dmorgan> 0.6.16-4.mga2
+ Revision: 125620
- Disable time estimation

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-3.mga2
+ Revision: 125518
- Enable suggests on packagekit-gtk-module now that we have font provides
  add more requires

* Sun Jul 17 2011 dmorgan <dmorgan> 0.6.16-2.mga2
+ Revision: 125512
- Fix path to packagekitd

* Tue Jul 05 2011 fwang <fwang> 0.6.16-1.mga2
+ Revision: 118700
- new version 0.6.16

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-2.mga2
+ Revision: 106389
- Create gtk3-module subpackage

* Wed Jun 15 2011 dmorgan <dmorgan> 0.6.15-1.mga2
+ Revision: 106384
- Add gtk3 as buildrequire
- New version 0.6.15

* Sun May 15 2011 pterjan <pterjan> 0.6.13-3.mga1
+ Revision: 98937
- Rebuild for fixed find-requires

* Wed Apr 13 2011 mikala <mikala> 0.6.13-2.mga1
+ Revision: 84617
- Add patch100 to fix a crash when browsing groups in kpackagekit

* Wed Apr 13 2011 mikala <mikala> 0.6.13-1.mga1
+ Revision: 84549
- Update tarball to 0.6.13
- Update patch1 :
  Remove the url regarding mandriva wiki
  Use mageia icon
- Add patch2 for urpmi backend:
  Disable backend_get_distro_upgrades for the moment
  Use mageia bugzilla for http
  Use mageia occurence instead of mandriva

* Sun Feb 20 2011 eandry <eandry> 0.6.11-2.mga1
+ Revision: 54927
- fix vendor patch (still needs a valid mageia wiki url)
- drop buildroot
- imported package packagekit

